package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.ActSupplies;
import com.ruoyi.system.domain.ActSuppliesRole;
import io.lettuce.core.dynamic.annotation.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 物料总分类管理Mapper接口
 * 
 * @author ruoyi
 * @date 2023-07-11
 */
@Repository
public interface ActSuppliesMapper 
{
    /**
     * 查询物料总分类管理
     * 
     * @param id 物料总分类管理ID
     * @return 物料总分类管理
     */
    public ActSupplies selectActSuppliesById(Long id);

    /**
     * 查询物料总分类管理列表
     * 
     * @param actSupplies 物料总分类管理
     * @return 物料总分类管理集合
     */
    public List<ActSupplies> selectActSuppliesList(ActSupplies actSupplies);

    /**
     * 新增物料总分类管理
     * 
     * @param actSupplies 物料总分类管理
     * @return 结果
     */
    public int insertActSupplies(ActSupplies actSupplies);

    /**
     * 修改物料总分类管理
     * 
     * @param actSupplies 物料总分类管理
     * @return 结果
     */
    public int updateActSupplies(ActSupplies actSupplies);



    /**
     * 删除物料总分类管理
     * 
     * @param id 物料总分类管理ID
     * @return 结果
     */
    public int deleteActSuppliesById(Long id);

    /**
     * 批量删除物料总分类管理
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteActSuppliesByIds(Long[] ids);

    List<ActSupplies> options();

    List<Integer> findall(Long[] ids);

    List<ActSupplies> findAllId(Long[] ids);

    List<Integer> find(Long id);

    List<Integer> findId(Long id);


    /**
     * 根据物料总分类名称统计数量
     * @param suppliesName
     * @return
     */
    public int countBySuppliesName(ActSupplies suppliesName);

    int updateActSupplies(Map<String, Object> paramMap);
    int setEnable(Map<String, Object> paramMap);
    int setDisable(Map<String, Object> paramMap);

    List<ActSupplies> selectActSuppliesListOne(ActSupplies actSupplies);

    int countBySuppliesLevel(ActSupplies actSupplies);

    Long findAllIds(ActSupplies allId);
}
